<?php


namespace app\common\model\mysql;


use think\Model;

class Category extends Model
{
    /**
     * 自动生成写入时间
     * @var bool
     */
    protected $autoWriteTimestamp = true;

    /**
     * 获取正常状态的分类
     * @param string $field
     * @return \think\Collection
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function getNormalCategory($field = '*')
    {
        $where = [
            'status' => config('status.mysql.table_normal')
        ];

        return $this->where($where)->field($field)->select();
    }

    /**
     * 分页获取未删除的分类列表
     * @param $where
     * @param int $num
     * @return \think\Paginator
     * @throws \think\db\exception\DbException
     */
    public function getLists($where, $num = 10)
    {
        $order = [
            'listorder' => 'desc',
            'id' => 'desc',
        ];
        return $this->where('status', '<>', config('status.mysql.table_delete'))
            ->where($where)
            ->order($order)
            ->paginate($num);
    }

    /**
     * 根据id更新库里面的数据
     * @param $id
     * @param $data
     * @return bool
     */
    public function updateById($id, $data)
    {
        $data['update_time'] = time();
        return $this->where(['id' => $id])->save($data);
    }
}